---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_deep_merge_json Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The deep_merge_json data source accepts a list of JSON strings as input and deep merges into a single JSON string as output.
---

# utils_deep_merge_json (Data Source)

The `deep_merge_json` data source accepts a list of JSON strings as input and deep merges into a single JSON string as output.

## Example Usage

```terraform
locals {
  json_data_1 = file("${path.module}/json1.json")
  json_data_2 = file("${path.module}/json2.json")
}

data "utils_deep_merge_json" "example" {
  input = [
    local.json_data_1,
    local.json_data_2
  ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **input** (List of String) A list of JSON strings that is deep merged into the `output` attribute.

### Optional

- **append_list** (Boolean) A boolean flag to enable/disable appending lists instead of overwriting them.
- **deep_copy_list** (Boolean) A boolean flag to enable/disable merging of list elements one by one.
- **id** (String) The ID of this resource.

### Read-Only

- **output** (String) The deep-merged output.


